1.0
1.0
get /v1/baremetals
Description
Bare Metal Server 목록 조회 기능
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | server_name optional | Bare Metal Server 이름 Example : bmserver-001 | any of [string, null] | None |
| query | state optional | Bare Metal Server 상태 Example : RUNNING | any of [string, null] | None |
| query | ip optional | Bare Metal Server IP 주소 Example : 192.168.0.1 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BaremetalListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"baremetals": [
{
"account_id": "f5c8e56a4d9b49a8bd89e14758a32d53",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"hyper_threading_use": true,
"id": "20c507a036c447cdb3b19468d8ea62ac",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"init_script": "init script",
"local_subnet_info": [
{
"interface_name": "ens8f1,bond_serv.2",
"local_subnet_id": "ab313c43291e4b678f4bacffe10768ae",
"policy_local_subnet_ip": "192.168.0.1",
"state": "CREATING",
"vlan_id": 500,
"vni_role_name": "mgmtJ4dzQBo"
}
],
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef716e80-1fac-4faa-892d-0132fc7f5583",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"policy_nat": "192.168.0.1",
"policy_use_nat": true,
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"public_nat_status": "ACTIVE",
"region_id": "kr-west1",
"root_account": "rootaccount",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"time_zone": "Asia/Seoul",
"use_local_subnet": true,
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
],
"count": 20
}